### Constructor

# Dex Future new_for_float

#### Declaration [src]

    DexFuture*
    dex_future_new_for_float (
      float v_float
    )

#### Description [src]

Creates a new `DexFuture` and resolves it with `v_float`.

#### Parameters

`v_float`

  Type: `float`

  The resolved value for the future.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.